summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLaszlo Agocs <laszlo.agocs@qt.io>2020-06-17 14:18:18 +0200
committerLaszlo Agocs <laszlo.agocs@qt.io>2020-06-17 15:43:44 +0200
commitb5ab804efd78916fdc29af778c2ee715e3973de3 (patch)
tree686a6f2b409a48b4b5f93d5f926adfc34ba681e1
parentae1cf52b641a720d3586cbe882adfbe49b430cb2 (diff)
Set QT_QUICK_BACKEND=software in QEMU configs
In Qt 6 things get more complicated because we have Vulkan, Metal and D3D in addition to OpenGL. Qt Quick will only default to the software backend when no graphics API was available at build time - and this not true for the QEMU configs because the Ubuntu env has both OpenGL and Vulkan headers, so they both are enabled, but are not usable at run time. To simplify life, just state the Qt Quick backend we want the tests run with. Change-Id: I63cd9534bc8cd5d0568235bc2035f5613d29ced4 Reviewed-by: Alexandru Croitor <alexandru.croitor@qt.io>
-rw-r--r--coin/platform_configs/default.yaml5
-rw-r--r--coin/platform_configs/qtwebengine.yaml5
2 files changed, 6 insertions, 4 deletions
diff --git a/coin/platform_configs/default.yaml b/coin/platform_configs/default.yaml
index 5eeb9298..9a55bc1b 100644
--- a/coin/platform_configs/default.yaml
+++ b/coin/platform_configs/default.yaml
@@ -68,7 +68,7 @@ Configurations:
Target arch: 'armv7'
Compiler: 'GCC'
Features: ['UseLegacyInstructions']
- Environment variables: ['GST_PLUGIN_SCANNER=/opt/yocto-armv7/sysroots/armv7at2hf-neon-poky-linux-gnueabi/usr/libexec/gstreamer-1.0/gst-plugin-scanner']
+ Environment variables: ['GST_PLUGIN_SCANNER=/opt/yocto-armv7/sysroots/armv7at2hf-neon-poky-linux-gnueabi/usr/libexec/gstreamer-1.0/gst-plugin-scanner', 'QT_QUICK_BACKEND=software']
Configure arguments: '-opensource -confirm-license -verbose -prefix /home/qt/work/install -developer-build -release -nomake tests -nomake examples -no-xcb -R . -openssl -device linux-imx7-g++ -device-option CROSS_COMPILE=/opt/yocto-armv7/sysroots/x86_64-pokysdk-linux/usr/bin/arm-poky-linux-gnueabi/arm-poky-linux-gnueabi- -device-option DISTRO_OPTS="hard-float boot2qt" -sysroot /opt/yocto-armv7/sysroots/armv7at2hf-neon-poky-linux-gnueabi -extprefix /home/qt/work/install -mysql_config /opt/yocto-armv7/sysroots/armv7at2hf-neon-poky-linux-gnueabi/usr/bin/mysql_config -psql_config /dev/null -tslib'
-
Template: 'qtci-linux-Ubuntu-18.04-x86_64'
@@ -76,7 +76,7 @@ Configurations:
Target arch: 'arm64'
Compiler: 'GCC'
Features: ['UseLegacyInstructions']
- Environment variables: ['GST_PLUGIN_SCANNER=/opt/yocto-arm64/sysroots/aarch64-poky-linux/usr/libexec/gstreamer-1.0/gst-plugin-scanner']
+ Environment variables: ['GST_PLUGIN_SCANNER=/opt/yocto-arm64/sysroots/aarch64-poky-linux/usr/libexec/gstreamer-1.0/gst-plugin-scanner', 'QT_QUICK_BACKEND=software']
Configure arguments: '-opensource -confirm-license -verbose -prefix /home/qt/work/install -developer-build -release -nomake tests -nomake examples -no-xcb -R . -openssl -device linux-generic-g++ -device-option CROSS_COMPILE=/opt/yocto-arm64/sysroots/x86_64-pokysdk-linux/usr/bin/aarch64-poky-linux/aarch64-poky-linux- -device-option DISTRO_OPTS=boot2qt -sysroot /opt/yocto-arm64/sysroots/aarch64-poky-linux -extprefix /home/qt/work/install -mysql_config /opt/yocto-arm64/sysroots/aarch64-poky-linux/usr/bin/mysql_config -psql_config /dev/null -tslib'
-
Template: 'qtci-linux-Ubuntu-18.04-x86_64'
@@ -84,6 +84,7 @@ Configurations:
Target arch: 'mips64'
Compiler: 'GCC'
Features: ['DisableTests', 'UseLegacyInstructions']
+ Environment variables: ['QT_QUICK_BACKEND=software']
Configure arguments: '-opensource -confirm-license -verbose -prefix /home/qt/work/install -release -nomake tests -nomake examples -no-xcb -R . -openssl -device linux-generic-g++ -device-option CROSS_COMPILE=/opt/yocto-mips64/sysroots/x86_64-pokysdk-linux/usr/bin/mips64-poky-linux/mips64-poky-linux- -device-option DISTRO_OPTS=boot2qt -sysroot /opt/yocto-mips64/sysroots/mips64r2-poky-linux -extprefix /home/qt/work/install -mysql_config /opt/yocto-mips64/sysroots/mips64r2-poky-linux/usr/bin/mysql_config -psql_config /dev/null -tslib'
-
Template: 'qtci-linux-Ubuntu-18.04-x86_64'
diff --git a/coin/platform_configs/qtwebengine.yaml b/coin/platform_configs/qtwebengine.yaml
index 906e0236..4f258c8a 100644
--- a/coin/platform_configs/qtwebengine.yaml
+++ b/coin/platform_configs/qtwebengine.yaml
@@ -57,7 +57,7 @@ Configurations:
Target arch: 'armv7'
Compiler: 'GCC'
Features: ['UseLegacyInstructions']
- Environment variables: ['GST_PLUGIN_SCANNER=/opt/yocto-armv7/sysroots/armv7at2hf-neon-poky-linux-gnueabi/usr/libexec/gstreamer-1.0/gst-plugin-scanner']
+ Environment variables: ['GST_PLUGIN_SCANNER=/opt/yocto-armv7/sysroots/armv7at2hf-neon-poky-linux-gnueabi/usr/libexec/gstreamer-1.0/gst-plugin-scanner', 'QT_QUICK_BACKEND=software']
Configure arguments: '-opensource -confirm-license -verbose -prefix /home/qt/work/install -release -nomake tests -nomake examples -no-xcb -R . -openssl -device linux-imx7-g++ -device-option CROSS_COMPILE=/opt/yocto-armv7/sysroots/x86_64-pokysdk-linux/usr/bin/arm-poky-linux-gnueabi/arm-poky-linux-gnueabi- -device-option DISTRO_OPTS="hard-float boot2qt" -sysroot /opt/yocto-armv7/sysroots/armv7at2hf-neon-poky-linux-gnueabi -extprefix /home/qt/work/install -mysql_config /opt/yocto-armv7/sysroots/armv7at2hf-neon-poky-linux-gnueabi/usr/bin/mysql_config -psql_config /dev/null -tslib'
-
Template: 'qtci-linux-Ubuntu-18.04-x86_64'
@@ -65,7 +65,7 @@ Configurations:
Target arch: 'arm64'
Compiler: 'GCC'
Features: ['UseLegacyInstructions']
- Environment variables: ['GST_PLUGIN_SCANNER=/opt/yocto-arm64/sysroots/aarch64-poky-linux/usr/libexec/gstreamer-1.0/gst-plugin-scanner']
+ Environment variables: ['GST_PLUGIN_SCANNER=/opt/yocto-arm64/sysroots/aarch64-poky-linux/usr/libexec/gstreamer-1.0/gst-plugin-scanner', 'QT_QUICK_BACKEND=software']
Configure arguments: '-opensource -confirm-license -verbose -prefix /home/qt/work/install -release -nomake tests -nomake examples -no-xcb -R . -openssl -device linux-generic-g++ -device-option CROSS_COMPILE=/opt/yocto-arm64/sysroots/x86_64-pokysdk-linux/usr/bin/aarch64-poky-linux/aarch64-poky-linux- -device-option DISTRO_OPTS=boot2qt -sysroot /opt/yocto-arm64/sysroots/aarch64-poky-linux -extprefix /home/qt/work/install -mysql_config /opt/yocto-arm64/sysroots/aarch64-poky-linux/usr/bin/mysql_config -psql_config /dev/null -tslib'
-
Template: 'qtci-linux-Ubuntu-18.04-x86_64'
@@ -73,6 +73,7 @@ Configurations:
Target arch: 'mips64'
Compiler: 'GCC'
Features: ['DisableTests', 'UseLegacyInstructions']
+ Environment variables: ['QT_QUICK_BACKEND=software']
Configure arguments: '-opensource -confirm-license -verbose -prefix /home/qt/work/install -release -nomake tests -nomake examples -no-xcb -R . -openssl -device linux-generic-g++ -device-option CROSS_COMPILE=/opt/yocto-mips64/sysroots/x86_64-pokysdk-linux/usr/bin/mips64-poky-linux/mips64-poky-linux- -device-option DISTRO_OPTS=boot2qt -sysroot /opt/yocto-mips64/sysroots/mips64r2-poky-linux -extprefix /home/qt/work/install -mysql_config /opt/yocto-mips64/sysroots/mips64r2-poky-linux/usr/bin/mysql_config -psql_config /dev/null -tslib'
-
Template: 'qtci-linux-Ubuntu-18.04-x86_64'